Subject: Re: [PATCH net-next 3/3] selftests: net: add YNL test framework

From: Hangbin Liu <[email-masked]>
Date: Mon, 3 Nov 2025 05:12:43 +0000

On Fri, Oct 31, 2025 at 11:24:06AM -0700, Jakub Kicinski wrote:
> > I just do `make install` in tools/net/ynl. Both the ynl scripts and specs are
> > installed. So I think the specs are also tested.
> >
> > I didn't get here. The `ynl` calls pyynl.cli:main, that should be enough.
> > Do you mean we should find the `cli.py` path and call it like
> > `$source_code/tools/net/ynl/pyynl/cli.py --spec
> > $source_code/Documentation/netlink/specs/xxx.yaml ...`?
> 
> More or less. But it needs to know how to install itself when kernel
> selftests are installed. Maybe it's not worth the complexity and we
> should add the script under tools/net/ynl. Easier to refer from there.

Hmm, how should we execute the script under `tools/net/ynl`? Use the cli.py
like:

./cli.py --spec ../../../Documentation/netlink/specs/xxx.yaml

Or use the installed name `ynl`

ynl --family xxx ...

Thanks
Hangbin